#ifndef APPLE_H
#define APPLE_H

#include <esp_log.h>
#include <stdio.h>
#include <time.h>
#include <onewire.h>
#include <ds18b20.h>
#include <task.h>
#include <esp_wifi.h>
#include <FreeRTOSConfig.h>
#include <stdint.h> // Include for uint8_t

struct appledata {
    uint8_t mac[6];
    float temp;
    float batteryVoltage; // Corrected spelling
    int upTime; // Use uint32_t for uptime
};

// Function declarations
float getTemp();
int getUpTime();
void getmac(uint8_t *buf);

#endif // APPLE_H
